%define ver	3.5
%define moz     firefox-3.5
Summary:        Firefox web browser.
Name:		firefox
Version:	3.5
Release:	20100322_Cairo.gtk2
Copyright:	MPL
Source0:	ftp://ftp.mozilla.org/pub/mozilla.org/firefox/releases/%{ver}/firefox-%{ver}-source.tar.bz2
Source1:	%{name}.tar.gz
Source2:	%{name}.desktop
Source3:	%{name}-kde.desktop
# Check permissions on firefox add-ons after: firefox -install-global-extension "*.xpi"
Source9:        http://ftp.kaist.ac.kr/mozilla/addons/321/searchstatus-1.33-fx.xpi
Source10:       http://ftp.kaist.ac.kr/mozilla/addons/446/mediaplayerconnectivity-0.9.3-fx.xpi
Buildroot:	/var/tmp/mozilla-root
Prefix:		/usr
Group:		Internet
Provides:	Firefox
BuildRequires:	libpng-devel libjpeg-devel zlib-devel perl autoconf ORBit2-devel
BuildRequires:	glib2-devel gtk2-devel fileutils perl freetype2-devel java_jdk
BuildRequires:	fontconfig-devel
%define builddir %{_builddir}/mozilla

%description
Firefox is an open-source web browser, designed for standards
compliance, performance and portability.

Provides.
webclient Firefox Browser

%package 	devel
Summary:	XPIDL/XUL development for Firefox
Group: 		Development

%description 	devel
Development header files for firefox. XPIDL/XUL are used to build Firefox
plug-ins, add-ons, etc.

%prep
%setup -q -n mozill*

%build
CC=gcc CXX=g++ \
BUILD_OFFICIAL=1 MOZILLA_OFFICIAL=1 MOZ_INTERNAL_LIBART_LGPL=1 \
	./configure --prefix=/usr \
	--host=i586-pc-linux-gnu --build=i586-pc-linux-gnu \
	--disable-debug \
	--disable-static \
	--disable-pedantic \
	--disable-gnomevfs \
	--with-default-mozilla-five-home=$MOZILLA_FIVE_HOME \
	--enable-default-toolkit=cairo-gtk2 \
	--enable-official-branding \
	--with-distribution-id=alinux.tv \
	--enable-strip \
	--enable-strip-libs \
	--disable-tests \
	--disable-short-wchar \
	--enable-nspr-autoconf \
	--enable-extensions=default \
	--enable-mng \
	--enable-crypto \
	--disable-xprint \
	--disable-xft \
	--with-libIDL \
	--without-system-nspr \
	--with-system-zlib \
	--enable-system-cairo \
	--disable-freetype2 \
	--enable-pango \
	--disable-glitz \
	--enable-xul \
	--disable-ldap \
	--enable-svg --enable-ipv6 \
	--enable-svg-renderer=cairo \
	--enable-old-abi-compat-wrappers \
	--enable-application=browser \
	--mandir=/usr/man

BUILD_OFFICIAL=1 MOZILLA_OFFICIAL=1 make export
BUILD_OFFICIAL=1 MOZILLA_OFFICIAL=1 make libs

%install
rm -rf $RPM_BUILD_ROOT
BUILD_OFFICIAL=1 MOZILLA_OFFICIAL=1 MOZ_INTERNAL_LIBART_LGPL=1 \
	DESTDIR=$RPM_BUILD_ROOT \
	make install

ln -sf stable $RPM_BUILD_ROOT/usr/include/%moz/nss
cp xpcom/typelib/xpidl/xpidl $RPM_BUILD_ROOT/usr/lib/%moz/
cd $RPM_BUILD_ROOT/usr/bin; ln -sf /usr/lib/%moz/xpidl .
cd $RPM_BUILD_ROOT/usr/include; ln -sf %moz mozilla
cd $RPM_BUILD_ROOT/usr/lib; ln -sf %moz mozilla; cd ../share/idl; ln -sf %moz mozilla
tar xzpf %{SOURCE1} -C $RPM_BUILD_ROOT/
mkdir -p $RPM_BUILD_ROOT/usr/share/peanut/apps/Internet
mkdir -p $RPM_BUILD_ROOT/opt/kde/share/applnk/Internet
cp %{SOURCE2} $RPM_BUILD_ROOT/usr/share/peanut/apps/Internet
cp %{SOURCE3} $RPM_BUILD_ROOT/opt/kde/share/applnk/Internet
ln -sf firefox $RPM_BUILD_ROOT/usr/bin/mozilla
ln -sf firefox-bin $RPM_BUILD_ROOT/usr/lib/%moz/mozilla-bin
cd $RPM_BUILD_ROOT/usr/share/idl/%moz; ln -sf stable/* .
rm $RPM_BUILD_ROOT/usr/lib/firefox-devel-3.5/sdk/lib/*.so
cd $RPM_BUILD_ROOT/usr/lib/firefox-devel-3.5/sdk/lib
ln -sf ../../../%moz/*.so .
cd $RPM_BUILD_ROOT/usr/include/%moz; ln -sf stable/* .

find $RPM_BUILD_ROOT -name \*.so -exec strip {} \;
strip -R.comment -R.note $RPM_BUILD_ROOT/usr/lib/mozill*/* 2>/dev/null || :
touch -c `find $RPM_BUILD_ROOT/usr/share`

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
/usr/bin/firefox
/usr/bin/mozilla
/usr/lib/mozilla
/usr/lib/%moz
/usr/share/peanut
/opt

%files devel
%defattr(-,root,root)
/usr/bin/xpidl
/usr/lib/%name-devel-%ver
/usr/lib/pkgconfig
/usr/share/idl
/usr/include
